Index: NEMO/trunk/src/OCE/ZDF/zdfphy.F90
===================================================================
--- NEMO/trunk/src/OCE/ZDF/zdfphy.F90	(revision 14903)
+++ NEMO/trunk/src/OCE/ZDF/zdfphy.F90	(revision 14921)
@@ -186,6 +186,4 @@
       IF( lk_top    .AND. ln_zdfnpc )   CALL ctl_stop( 'zdf_phy_init: npc scheme is not working with key_top' )
       IF( lk_top    .AND. ln_zdfosm )   CALL ctl_warn( 'zdf_phy_init: osmosis gives no non-local fluxes for TOP tracers yet' )
-      ! TEMP: [tiling] This change not necessary after finalisation of zdf_osm (not yet tiled)
-      IF( ln_tile   .AND. ln_zdfosm )   CALL ctl_warn( 'zdf_phy_init: osmosis does not yet work with tiling' )
       IF( lk_top    .AND. ln_zdfmfc )   CALL ctl_stop( 'zdf_phy_init: Mass Flux scheme is not working with key_top' )
       IF(lwp) THEN
@@ -256,20 +254,7 @@
       INTEGER ::   ji, jj, jk   ! dummy loop indice
       REAL(wp), DIMENSION(A2D(nn_hls),jpk) ::   zsh2   ! shear production
-      ! TEMP: [tiling] This change not necessary after finalisation of zdf_osm (not yet tiled)
-      LOGICAL :: lskip
       !! ---------------------------------------------------------------------
       !
       IF( ln_timing )   CALL timing_start('zdf_phy')
-
-      ! TEMP: [tiling] These changes not necessary after finalisation of zdf_osm (not yet tiled)
-      lskip = .FALSE.
-
-      IF( ln_tile .AND. nzdf_phy == np_OSM )  THEN
-         IF( ntile == 1 ) THEN
-            CALL dom_tile_stop( ldhold=.TRUE. )
-         ELSE
-            lskip = .TRUE.
-         ENDIF
-      ENDIF
       !
       IF( l_zdfdrg ) THEN     !==  update top/bottom drag  ==!   (non-linear cases)
@@ -301,34 +286,29 @@
       !
       CALL zdf_mxl( kt, Kmm )                        !* mixed layer depth, and level
-
-      ! TEMP: [tiling] These changes not necessary after finalisation of zdf_osm (not yet tiled)
-      IF( .NOT. lskip ) THEN
-         !                       !==  Kz from chosen turbulent closure  ==!   (avm_k, avt_k)
-         !
-         ! NOTE: [tiling] the closure schemes (zdf_tke etc) will update avm_k. With tiling, the calculation of zsh2 on adjacent tiles then uses both updated (next timestep) and non-updated (current timestep) values of avm_k. To preserve results, we save a read-only copy of the "now" avm_k to use in the calculation of zsh2.
-         IF( l_zdfsh2 ) THEN        !* shear production at w-points (energy conserving form)
-            IF( ln_tile ) THEN
-               IF( ntile == 1 ) avm_k_n(:,:,:) = avm_k(:,:,:)     ! Preserve "now" avm_k for calculation of zsh2
-               CALL zdf_sh2( Kbb, Kmm, avm_k_n, &     ! <<== in
-                  &                     zsh2    )     ! ==>> out : shear production
-            ELSE
-               CALL zdf_sh2( Kbb, Kmm, avm_k,   &     ! <<== in
-                  &                     zsh2    )     ! ==>> out : shear production
-            ENDIF
-         ENDIF
-         !
-         SELECT CASE ( nzdf_phy )                  !* Vertical eddy viscosity and diffusivity coefficients at w-points
-         CASE( np_RIC )   ;   CALL zdf_ric( kt,      Kmm, zsh2, avm_k, avt_k )    ! Richardson number dependent Kz
-         CASE( np_TKE )   ;   CALL zdf_tke( kt, Kbb, Kmm, zsh2, avm_k, avt_k )    ! TKE closure scheme for Kz
-         CASE( np_GLS )   ;   CALL zdf_gls( kt, Kbb, Kmm, zsh2, avm_k, avt_k )    ! GLS closure scheme for Kz
-         CASE( np_OSM )   ;   CALL zdf_osm( kt, Kbb, Kmm, Krhs, avm_k, avt_k )    ! OSMOSIS closure scheme for Kz
+      !
+      !                       !==  Kz from chosen turbulent closure  ==!   (avm_k, avt_k)
+      !
+      ! NOTE: [tiling] the closure schemes (zdf_tke etc) will update avm_k. With tiling, the calculation of zsh2 on adjacent tiles then uses both updated (next timestep) and non-updated (current timestep) values of avm_k. To preserve results, we save a read-only copy of the "now" avm_k to use in the calculation of zsh2.
+      IF( l_zdfsh2 ) THEN        !* shear production at w-points (energy conserving form)
+         IF( ln_tile ) THEN
+            IF( ntile == 1 ) avm_k_n(:,:,:) = avm_k(:,:,:)     ! Preserve "now" avm_k for calculation of zsh2
+            CALL zdf_sh2( Kbb, Kmm, avm_k_n, &     ! <<== in
+               &                     zsh2    )     ! ==>> out : shear production
+         ELSE
+            CALL zdf_sh2( Kbb, Kmm, avm_k,   &     ! <<== in
+               &                     zsh2    )     ! ==>> out : shear production
+         ENDIF
+      ENDIF
+      !
+      SELECT CASE ( nzdf_phy )                  !* Vertical eddy viscosity and diffusivity coefficients at w-points
+      CASE( np_RIC )   ;   CALL zdf_ric( kt,      Kmm, zsh2, avm_k, avt_k )    ! Richardson number dependent Kz
+      CASE( np_TKE )   ;   CALL zdf_tke( kt, Kbb, Kmm, zsh2, avm_k, avt_k )    ! TKE closure scheme for Kz
+      CASE( np_GLS )   ;   CALL zdf_gls( kt, Kbb, Kmm, zsh2, avm_k, avt_k )    ! GLS closure scheme for Kz
+      CASE( np_OSM )   ;   CALL zdf_osm( kt, Kbb, Kmm, Krhs, avm_k, avt_k )    ! OSMOSIS closure scheme for Kz
    !     CASE( np_CST )                                  ! Constant Kz (reset avt, avm to the background value)
    !         ! avt_k and avm_k set one for all at initialisation phase
 !!gm         avt(2:jpim1,2:jpjm1,1:jpkm1) = rn_avt0 * wmask(2:jpim1,2:jpjm1,1:jpkm1)
 !!gm         avm(2:jpim1,2:jpjm1,1:jpkm1) = rn_avm0 * wmask(2:jpim1,2:jpjm1,1:jpkm1)
-         END SELECT
-
-         IF( ln_tile .AND. .NOT. l_istiled ) CALL dom_tile_start( ldhold=.TRUE. )
-      ENDIF
+      END SELECT
       !
       !                          !==  ocean Kz  ==!   (avt, avs, avm)
